| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::CameraThumbsCtrl Class Reference
Inheritance diagram for Digikam::CameraThumbsCtrl:

## Signals
void | signalThumbInfoReady (const CamItemInfo &)

## Public Member Functions
| CameraThumbsCtrl (CameraController *const ctrl, QWidget *const parent)
CameraController * | cameraController () const
| Return camera controller instance.
void | clearCache ()
bool | getThumbInfo (const CamItemInfo &info, CachedItem &item) const
| Fill item with relevant information.
void | setCacheSize (int numberOfItems)
void | updateThumbInfoFromCache (const CamItemInfo &info)
| Force controller to update info from device in cache.

## Member Function Documentation

## ◆ getThumbInfo()

bool Digikam::CameraThumbsCtrl::getThumbInfo | ( | const CamItemInfo & | info,
|  | CachedItem & | item
| ) |  | const

if item is not in cache, return false and information will be dispatched later through signalThumbInfoReady(), else return true and information is available immediately.